/*   BEM = Batch Equilibrium Model (calculates chemical equilibira)
     Copyright (C) 1996  J. Prenzel (jprenze@gwdg.de)
     
     This program is free software; you can redistribute it and/or
     modify it under the terms of the GNU General Public License
     as published by the Free Software Foundation; either version 2
     of the License, or (at your option) any later version.
     
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         */


#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <errno.h>

#include "bem.h"

/*....................................... start ...................*/
int start(char *mfile){
  int rc;

  CALL(rc,makecl("A"));
  Mod.nam=mfile;
  CALL(rc,openfiles('m'));
  CALL(rc,openfiles('l'));
  if(Op.s)CALL(rc,openfiles('s'));
  CALL(rc,modinit());
  CALL(rc,init0());
  slt0();
  CALL(rc,setx0());
  if(Cl->itrace <1) Cl->itrace=1;
  CALL(rc,findeq());
  if(rc != 0){
    bemerr(40,"","","",0);
    bemerr(39,"","","",Cl->it1cnt);
    return rc;
  }

  show01();
  return 0;
}




